summaryrefslogtreecommitdiff
path: root/scripts/youtube-hls-stream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/youtube-hls-stream.sh')
-rwxr-xr-xscripts/youtube-hls-stream.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/youtube-hls-stream.sh b/scripts/youtube-hls-stream.sh
new file mode 100755
index 0000000..10fa6b2
--- /dev/null
+++ b/scripts/youtube-hls-stream.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+[ "$#" -ne 3 ] && echo "usage: youtube-hls-stream.sh <window_id> <fps> <livestream_key>" && exit 1
+active_sink=default_output
+gpu-screen-recorder -w "$1" -c hls -f "$2" -q high -a "$active_sink" -ac aac -o "https://a.upload.youtube.com/http_upload_hls?cid=$3&copy=0&file=stream.m3u8" \ No newline at end of file